News and Announcements

  • Secure Zoom Accounts Required to Use Zoom Desktop/Mobile Version 5.6.3 or Later   Oct 5, 2021, 10:28 AM CST

    Effective October 5, 2021, all UW-Madison Secure Zoom accounts will be required to use a Zoom desktop/mobile client version of 5.6.3 or later.

  • Postponed: Zoom Client Update on November 1, 2021   Oct 19, 2021, 5:07 PM CST

    Update: On October 19, 2021, Zoom announced they are postponing their policy to require Zoom users to use the desktop version 5.5.0 or later starting November 1, 2021. They have not provided a new date. Updates will be shared here when available.

    ************************************************************************************************

    Zoom announced they will require customers to update their Zoom software to ensure it is no more than nine months behind the current version, at any given time starting November 1, 2021. See below for additional information from the vendor.

News RSS More news